Bug 904288

Summary: preupgrade makes non-usable initramfs
Product: [Fedora] Fedora Reporter: aillescastecdes
Component: preupgradeAssignee: Richard Hughes <rhughes>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: goeran, htl10, hughsient, mads, rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 827997 Environment:
Last Closed: 2013-02-07 19:10:56 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
List initrd for initramfs-3.6.11-5.fc17.x86_64.img none

Description aillescastecdes 2013-01-25 19:02:16 EST
+++ This bug was initially created as a clone of Bug #827997 +++

Created attachment 588977 [details]
"rpm -qa --last" before and after preupgrade.

Description of problem:
First described in:
https://bugzilla.redhat.com/show_bug.cgi?id=820351#c36

After going through preupgrade, I ended up with a 3.3.7-1.fc17 kernel which boots with the message:
--------------
[   0.020998] ..MP-BIOS bug: 8254 timer not connected to IO-APIC
[   1.457035] ata1: softreset failed (device not ready)
ata_id[241]: unable to open '$devnode'

dracut Warning: Unable to process initqueue
dracut Warning: /dev/mapper/VolGroup01-LogVol00 does not exist

Dropping to debug shell.

dracut:/#
---------------

Version-Release number of selected component (if applicable):
I am going to attach my rpm -qa --last before and after preupgrade.
kernel-3.3.7-1.fc17 

How reproducible:
Always, tried rebooting a few times, until I did rpm -ivh --force <the-same-kernel>.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The problem was fixed with booting the old f16 kernel (and let it crash on shutdown), do rpm -ivh --force <koji_url_of_3.3.7-1.fc17> to re-install the f17 kernel.

--- Additional comment from Hin-Tak Leung on 2012-06-03 20:06:15 EDT ---

Somebody might want to look at where "unable to open '$devnode'" comes from...

--- Additional comment from Mads Kiilerich on 2012-06-03 20:27:40 EDT ---

Please attach your anaconda logs.

--- Additional comment from Fedora End Of Life on 2013-01-16 08:51:28 EST ---

This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 aillescastecdes 2013-01-25 19:36:27 EST
Because its not possible upgrade from Fedora 16 to 18, my first step was use de pre-upgrade procedure from F16 to F17.

Then the first problem was a "Kernel Panic".

Because, my older installation on F16 still works, the panic problem was solved by re-install the kernel-3.6.11-5.fc17.x86_64 using yum from F16 :

(first uninstall it by rpm -e kernel-3.6.11-5.fc17.x86_64)

yum --releasever=17 install kernel

It works! No kernel panic when select boot to kernel-3.6.11-5.fc17.x86_64 on Grub2 menu.

Instead, I got the same problem from original bug: Bug #827997

Then try:

grub2-install /dev/sda
grub2-mkconfig -o /boot/grub2/grub.cfg

having this results:

Generating grub.cfg ...
/usr/sbin/grub2-probe: warning: Couldn't find physical volume `pv1'. Some modules may be missing from core image..
Found linux image: /boot/vmlinuz-3.6.11-5.fc17.x86_64
Found initrd image: /boot/initramfs-3.6.11-5.fc17.x86_64.img
Found linux image: /boot/vmlinuz-3.6.11-1.fc16.x86_64
Found initrd image: /boot/initramfs-3.6.11-1.fc16.x86_64.img

I also try:

dracut -f initramfs-3.6.11-5.fc17.x86_64.img 3.6.11-5.fc17.x86_64
it works, and again grub-instal, grub2-mkconfig.

The problem remains the same.

I search for "ata_id[239]: unable to open '$devmode'" and don't find anything to solve.
Comment 2 aillescastecdes 2013-01-25 19:48:33 EST
Created attachment 687768 [details]
List initrd for initramfs-3.6.11-5.fc17.x86_64.img
Comment 3 aillescastecdes 2013-01-25 19:54:05 EST
fdisk -l results:

Disk /dev/sda: 320.1 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders, 625142448 sectores en total
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Identificador del disco: 0x0008480d

Disposit. Inicio    Comienzo      Fin      Bloques  Id  Sistema
/dev/sda1   *        2048     1026047      512000   83  Linux
/dev/sda2         1026048   625141759   312057856   8e  Linux LVM

Disk /dev/sdb: 320.1 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders, 625142448 sectores en total
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Identificador del disco: 0x00078a88

Disposit. Inicio    Comienzo      Fin      Bloques  Id  Sistema
/dev/sdb1            2048   625141759   312569856   8e  Linux LVM

Disk /dev/mapper/vg_txpimtwarehouse-lv_swap: 10.5 GB, 10536091648 bytes
255 heads, 63 sectors/track, 1280 cylinders, 20578304 sectores en total
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/mapper/vg_txpimtwarehouse-lv_root: 53.7 GB, 53687091200 bytes
255 heads, 63 sectors/track, 6527 cylinders, 104857600 sectores en total
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/mapper/vg_txpimtwarehouse-lv_home: 575.4 GB, 575357845504 bytes
255 heads, 63 sectors/track, 69949 cylinders, 1123745792 sectores en total
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Comment 4 aillescastecdes 2013-02-07 19:10:04 EST
Solution ... Fresh fedora 18 installation ... like allways.
Thanks.